curl --request GET \
--url https://api-sb.meld.io/service-providers/limits/fiat-currency-purchases \
--header 'Authorization: <api-key>'import requests
url = "https://api-sb.meld.io/service-providers/limits/fiat-currency-purchases"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api-sb.meld.io/service-providers/limits/fiat-currency-purchases', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"accountDetails": {},
"currencyCode": "<string>",
"defaultAmount": 123,
"maximumAmount": 123,
"meldDetails": {
"defaultAmount": 123,
"maximumAmount": 123,
"minimumAmount": 123
},
"minimumAmount": 123,
"serviceProviderDetails": {}
}
]Get crypto purchase limits for fiat currencies
⚠️ Deprecated — this endpoint is slated for removal. Migrate to the Network Partner API as soon as you can; see the migration guide. Do not build new integrations against this endpoint.
Returns a list of limits (minimums and maximums) in terms of fiat currencies tokens for buying crypto.
Authorizations
Headers
Dated API version to use for this request, e.g. 2026-02-03.
"2026-02-03"
Query Parameters
A comma separated list of service providers.
A comma separated list of service provider statuses. Valid values are: LIVE,RECENTLY_ADDED,BUILDING
A comma separated list of service provider categories. Valid values are: BANK_LINKING,CRYPTO_OFFRAMP,CRYPTO_ONRAMP,CRYPTO_TRANSFER,CRYPTO_VIRTUAL_ACCOUNT_OFFRAMP,CRYPTO_VIRTUAL_ACCOUNT_ONRAMP,FIAT_PAYMENTS. Note: CRYPTO_ONRAMP_SWAP and CRYPTO_OFFRAMP_SWAP are server-driven and cannot be requested directly.
Filter by account configuration. Will only include properties supported by the service providers configured for the account of the API authentication token used.
A comma separated list of countries.
A comma separated list of fiat currencies.
A comma separated list of crypto chains.
A comma separated list of crypto currencies.
A comma separated list of payment method types. Valid Values are: Supported Payment Methods
When true, includes details about any account, Meld, and/or service provider limits used for each limit in the response.
Response
Limits returned
The account service provider limit overrides. Only present when includeDetails request parameter is set to true.
Show child attributes
Show child attributes
The currency code for these Fiat Currency Purchase limits.
The default purchase amount.
The maximum purchase amount.
The Meld limits. Only present when includeDetails request parameter is set to true.
Show child attributes
Show child attributes
The minimum purchase amount.
The service provider limits. Only present when includeDetails request parameter is set to true.
Show child attributes
Show child attributes